# what's where?
include GNUmakevars

# image
WIDTH=400
HEIGHT=300

all: \
	test-hyperfunk.ppm \
	test-hypertrop.ppm \
	test-hangars.ppm \
	test-star.ppm \
	test-strut.ppm \
	test-winebottle-glass.ppm \
	gravojet1.ppm \
	totale.ppm \
	test-Impulsgeschuetz.ppm \
	test-Traktorstrahler.ppm \


%.ppm: %.pov
	$(POVRAY) +W$(WIDTH) +H$(HEIGHT) +V -I$< +L$(POVINC) +D +FP

%.pov: make%
	$< > $@

test-star.ppm: test-star.pov star.pov ynkelonium_texture.pov strut.pov \
    Hangar_Schotts.pov T_BlackMetal.pov
test-strut.ppm: test-strut.pov strut.pov
test-hangars.ppm: test-hangars.pov Hangar_Schotts.pov ynkelonium_texture.pov
test-hypertrop.ppm: test-hypertrop.pov Hypertrop.pov \
    ynkelonium_texture.pov T_BlackMetal.pov
test-hyperfunk.ppm: test-hyperfunk.pov Hyperfunk.pov \
    T_BlackMetal.pov
totale.ppm: totale.pov star.pov ynkelonium_texture.pov strut.pov \
    Hangar_Schotts.pov T_BlackMetal.pov
test-Impulsgeschuetz.ppm: test-Impulsgeschuetz.pov Impulsgeschuetz.pov \
    T_BlackMetal.pov
test-Traktorstrahler.ppm: test-Traktorstrahler.pov Traktorstrahler.pov \
    T_BlackMetal.pov

%.gif: %.ppm
	ppmquant 256 $< | ppmtogif > $@
